package pl.edu.icm.synat.process.common.store;

import java.util.Iterator;

import pl.edu.icm.synat.api.services.store.model.Record;

public interface RecordIteratorBuilder {

	public long calculateExpectedSize();

	public Iterator<Record> build();
	
	public String getLastToken();
	
	public void setResumptionToken(String token);

}