package pl.edu.icm.synat.process.common.store.impl;

import com.google.common.base.Function;

import pl.edu.icm.synat.api.services.store.model.Record;
import pl.edu.icm.synat.logic.document.model.api.DocumentFactory;
import pl.edu.icm.synat.logic.document.model.api.NativeDocument;

public class NativeDocumentTransformer implements Function<Record, NativeDocument>{

	private DocumentFactory documentFactory;

	public void setDocumentFactory(DocumentFactory documentFactory) {
		this.documentFactory = documentFactory;
	}
	
	@Override
	public NativeDocument apply(Record input) {
		NativeDocument nativeDocument = documentFactory.getDocument(input);
		return nativeDocument;
	}
	
}
